XMBK(1)

NAME
xmbk - A simple way to set alliance environnement variables

SYNOPSIS

xmbk [-h] [-u] [-c]

DESCRIPTION
Xmbk is a graphical interactive tool that let you set some environment variables used by Alliance CAD tools whitin the shell session it has been executed. Xmbk lets you also save this environnement in a script file for later use.

This program is self explanatory : baloon help will appear when leaving the cursor on an environnement variable name.

Xmbk prints shell commands for setting these environment variables. For this output to take effect, xmbk must either be evaluated as part of the command line (usually done with a shell alias or function) or else redirected to a file which can then be read in. From the C shell (usually known as /bin/csh), the following alias could be defined in the user's .cshrc (Don't forget the '\' before the word xmbk to avoid alias loop.) :

        %  alias xmbk 'eval `\xmbk -c`'

When he wants to change its Alliance Environment, the user would type:

        %  xmbk

Users of versions of the Bourne shell (usually known as /bin/sh) that don't have command functions will need to send the output to a temporary file and the read it back in with the ``.'' command ('eval' should work whith bash the same way as csh) :

        $  xmbk > /tmp/out
        $  . /tmp/out

OPTIONS
The following options may be used with xmbk:

-u  This option indicates that Bourne shell commands should be generated.

-c  This option indicates that C shell commands should be generated.

FILES

~/.profile
    user's alias for the command.

~/.cshrc
    user's alias for the command.

SEE ALSO
csh(1), tcsh(1), sh(1), bash(1), MBK_IN_LO(1), MBK_IN_PH(1), MBK_OUT_LO(1), MBK_OUT_PH(1), MBK_CATA_LIB(1), MBK_CATAL_NAME(1), MBK_TARGET_LIB(1), MBK_WORK_LIB(1), MBK_VDD(1), MBK_VSS(1), ELP_TECHNO_NAME(1), RDS_TECHNO_NAME(1)